﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class DisplayQuote : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        QuoteChoiceDTO choose = (QuoteChoiceDTO)Session["QuoteChoice"];
        ModelFacade facade = new ModelFacade();
        if (choose.Buildings)
        {
            BuildingsDTO buildingsDTO = (BuildingsDTO)Session["BuildingsDTO"];
            BuildingsInsuranceLabel.Text = "Your Buildings Insurance Quote:";
            String buildingsQuote = String.Format("{0:c}", facade.getQuote(buildingsDTO));
           BuildingsInsurance.Text = buildingsQuote;

        }
        if (choose.Contents)
        {
            ContentsDTO contentsDTO = (ContentsDTO)Session["ContentsDTO"];
            ContentsInsuranceLabel.Text = "Your Contents Insurance Quote:";
            String contentsQuote = String.Format("{0:c}", facade.getQuote(contentsDTO));
            ContentsInsurance.Text = contentsQuote;
        }
    }
}
